Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required

QueryVmInstanceMdevDeviceSpecRef

QueryVmInstanceMdevDeviceSpecRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • mdevSpecUuidStringRequired

      The UUID of the MDEV device specification.

    • mdevDeviceNumberIntegerRequired

      The number of MDEV devices to be attached to the VM instance. Note that these devices must conform to the MDEV device specification. Default value: 1.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/mdev-device-specs

/zstack/v1/vm-instances/{vmInstanceUuid}/mdev-device-specs

Operation ID

QueryVmInstanceMdevDeviceSpecRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/mdev-device-specs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "vmInstanceUuid": "56bfe280b3c84fe2abf1281a7050aabe", "mdevSpecUuid": "461d734e25824e4e9516c4798fa27068", "mdevDeviceNumber": 1.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history